libzypp 17.37.10

ExternalProgram.cc File Reference
`#include <signal.h>`
`#include <errno.h>`
`#include <unistd.h>`
`#include <sys/wait.h>`
`#include <fcntl.h>`
`#include <pty.h>`
`#include <stdlib.h>`
`#include <sys/prctl.h>`
`#include <cstring>`
`#include <iostream>`
`#include <sstream>`
`#include <zypp-core/AutoDispose.h>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/ExternalProgram.h>`
`#include <zypp-core/base/CleanerThread_p.h>`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`
`#include <zypp-core/zyppng/io/private/forkspawnengine_p.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::externalprogram

## Macros
#define | _GNU_SOURCE 1
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::exec"

## Macro Definition Documentation

## ◆ _GNU_SOURCE

#define _GNU_SOURCE 1

Definition at line 12 of file ExternalProgram.cc.

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::exec"

Definition at line 40 of file ExternalProgram.cc.